// PropPage_CppSettings.h : header file
//
#if !defined(_PROPPAGE_CPPSETTINGS_H_)
#define _PROPPAGE_CPPSETTINGS_H_

#include "CfgComboBox.h"

class CXmlProjectSettings_Cpp;

/////////////////////////////////////////////////////////////////////////////
// CPropPage_CppSettings dialog

class CPropPage_CppSettings : public CPropertyPage
{
	DECLARE_DYNCREATE(CPropPage_CppSettings)

// Construction
public:
	CPropPage_CppSettings();
	~CPropPage_CppSettings();

// Dialog Data
	//{{AFX_DATA(CPropPage_CppSettings)
	enum { IDD = IDD_PROPERTY_CPP };
	CStatic	lblDllNamePrefix_;
	CEdit	txtDllFileNamePrefix_;
	CStatic	lblResourceOffset_;
	CEdit	txtResourceOffset_;
	CButton	cmdBrowsePath2_;
	CEdit	txtPostBuildPath_;
	CEdit	txtFolders_;
	CButton	chkEnableCpp_;
	CEdit	txtGenerationPath_;
	CButton	cmdReset_;
	CButton	cmdBrowsePath_;
	CEdit	txtClassPrefix_;
	CButton	chkGenerateTestProject_;
	CButton	chkGenerateGui_;
	CButton	chkDeleteOldFiles_;
	//}}AFX_DATA

	virtual void SetData(CXmlProjectSettings_Cpp* cppSettings);
	virtual void StoreData();

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPropPage_CppSettings)
	public:
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void DisplaySettings();
	void UpdateControlsEnable();
	void UpdateFoldersDescription();

	// Generated message map functions
	//{{AFX_MSG(CPropPage_CppSettings)
	virtual BOOL OnInitDialog();
	afx_msg void OnCmdBrowsePath();
	afx_msg void OnChkGenerateTestProject();
	afx_msg void OnChkGenerateGuiClasses();
	afx_msg void OnChkDeletePreviouslyGeneratedFiles();
	afx_msg void OnChangeGenerationPath();
	afx_msg void OnChangeClassPrefix();
	afx_msg void OnChkEnable();
	afx_msg void OnCmdBrowsePath2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CXmlProjectSettings_Cpp* cppSettings_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_PROPPAGE_CPPSETTINGS_H_)
